Bug 843522 - Provide documentation on how to start a endpoint-less node
Provide documentation on how to start a endpoint-less node
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.0.1
Assigned To: Misha H. Ali
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 10:26 EDT by Martin Gencur
Modified: 2012-09-19 23:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 23:48:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gencur 2012-07-26 10:26:04 EDT
This is related to BZ 841901. We should have a topic about this in the documentation.
Comment 1 Misha H. Ali 2012-07-26 19:44:55 EDT
Assigned. Need to find an SME for this information.
Comment 3 Misha H. Ali 2012-08-05 21:49:27 EDT
Located file $JDG_Server/docs/examples/configs/standalone-storage-only.xml but is the complete config required for an endpointless node or a snippet? Needinfo-ing Mgencur.
Comment 4 Martin Gencur 2012-08-06 02:30:23 EDT
This is more of a question for Tristan but from the diff (standalone-ha-xml vs. standalone-storage-only.xml) we can see that for storage-only two subsystems were deleted (datagrid and modcluster subsystem) and the definition of the datasource was removed too. So basically there are no endpoints available in this configuration nor is the clustering capability.
Comment 5 Misha H. Ali 2012-08-14 01:57:30 EDT
So I am going to add the following content to the Getting Started Guide

Chapter: Configure a Node with No Endpoints
  About Endpoints
  JBoss Data Grid Sample Configuration
  Configure a Node with No Endpoints
Comment 6 Misha H. Ali 2012-08-16 21:02:39 EDT
Added the following chapter to address this bug and content is ACKed by MGencur (reporter and QE):

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Data_Grid/6/html/Getting_Started_Guide/chap-Run_a_JBoss_Data_Grid_as_a_Node_without_Endpoints.html

Note You need to log in before you can comment on or make changes to this bug.